<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\Pivot;

class RapportPiece extends Pivot
{

    public function typereparation()
    {
        return $this->belongsTo(TypeReparation::class,'type_reparation_id');
    }
    public function operation()
    {
        return $this->belongsTo(Operation::class,'operation_id');
    }
    public function vehiculemodel()
    {
        return $this->belongsTo(VehiculeModel::class);
    }
}
